com.google.gwt.uibinder.elementparsers

## Class SimpleInterpeter<T>

- java.lang.Object
- - com.google.gwt.uibinder.elementparsers.SimpleInterpeter<T>

Type Parameters:
  `T` -

All Implemented Interfaces:
  com.google.gwt.uibinder.rebind.XMLElement.Interpreter<T>

    public class SimpleInterpeter<T>
    extends java.lang.Object
    implements com.google.gwt.uibinder.rebind.XMLElement.Interpreter<T>

A simple `XMLElement.Interpreter` that returns a given value to every request.

### Constructor Summary

Constructors
Constructor and Description
`SimpleInterpeter(T rtn)`

### Method Summary

All Methods Instance Methods Concrete Methods
`T` `interpretElement(com.google.gwt.uibinder.rebind.XMLElement elem)` Given an XMLElement, return its filtered value.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SimpleInterpeter

    public SimpleInterpeter(T rtn)

### Method Detail

#### interpretElement

    public T interpretElement(com.google.gwt.uibinder.rebind.XMLElement elem)

Description copied from interface: `com.google.gwt.uibinder.rebind.XMLElement.Interpreter`
Given an XMLElement, return its filtered value.

Specified by:
  `interpretElement` in interface `com.google.gwt.uibinder.rebind.XMLElement.Interpreter<T>`